Package com.microblink.blinkid.uisettings.options

# Enum Class OcrResultDisplayMode

java.lang.Object
java.lang.Enum<OcrResultDisplayMode>
com.microblink.blinkid.uisettings.options.OcrResultDisplayMode

All Implemented Interfaces:
  `android.os.Parcelable`, `Serializable`, `Comparable<OcrResultDisplayMode>`, `Constable`

public enum OcrResultDisplayMode extends Enum<OcrResultDisplayMode> implements android.os.Parcelable
Mode in which OCR result will be drawn on camera preview.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

  ## Nested classes/interfaces inherited from interface android.os.Parcelable

  `android.os.Parcelable.ClassLoaderCreator<T extends Object>, android.os.Parcelable.Creator<T extends Object>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ANIMATED_DOTS`
  In place of character recognition, animated dot will be drawn.
  `NOTHING`
  OCR results won't be displayed at all.
  `STATIC_CHARS`
  In place of character recognition, recognized value will be drawn.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final android.os.Parcelable.Creator<OcrResultDisplayMode>`
  `CREATOR`

  ### Fields inherited from interface android.os.Parcelable

  `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `describeContents()`
  `static OcrResultDisplayMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static OcrResultDisplayMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  `void`
  `writeToParcel(android.os.Parcel dest, int flags)`

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NOTHING

    public static final OcrResultDisplayMode NOTHING
    OCR results won't be displayed at all.

  - ### ANIMATED_DOTS

    public static final OcrResultDisplayMode ANIMATED_DOTS
    In place of character recognition, animated dot will be drawn.

  - ### STATIC_CHARS

    public static final OcrResultDisplayMode STATIC_CHARS
    In place of character recognition, recognized value will be drawn. Color will be chosen based on recognition quality - the higher recognition quality, the greener the color.

- ## Field Details

  - ### CREATOR

    @NonNull public static final android.os.Parcelable.Creator<OcrResultDisplayMode> CREATOR

- ## Method Details

  - ### values

    public static OcrResultDisplayMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static OcrResultDisplayMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### describeContents

    public int describeContents()
    Specified by:
      `describeContents` in interface `android.os.Parcelable`

  - ### writeToParcel

    public void writeToParcel(@NonNull android.os.Parcel dest, int flags)
    Specified by:
      `writeToParcel` in interface `android.os.Parcelable`